Package jakarta.servlet.jsp

# Class JspException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.servlet.jsp.JspException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `JspTagException`, `SkipPageException`

public class JspException extends Exception
A generic exception known to the JSP engine; uncaught JspExceptions will result in an invocation of the errorpage machinery.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JspException()`
Construct a JspException.
`JspException(String msg)`
Constructs a new JSP exception with the specified message.
`JspException(String message, Throwable cause)`
Constructs a new `JSPException` with the specified detail message and cause.
`JspException(Throwable cause)`
Constructs a new `JSPException` with the specified cause.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getRootCause()`
Deprecated.
As of JSP 2.1, replaced by `java.lang.Throwable.getCause()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JspException

public JspException()
Construct a JspException.

### JspException

public JspException(String msg)
Constructs a new JSP exception with the specified message. The message can be written to the server log and/or displayed for the user.

Parameters:
  `msg` - a `String` specifying the text of the exception message

### JspException

public JspException(String message, Throwable cause)
Constructs a new `JSPException` with the specified detail message and cause. The cause is saved for later retrieval by the `java.lang.Throwable.getCause()` and `getRootCause()` methods.

Parameters:
  `message` - a `String` containing the text of the exception message
  `cause` - the `Throwable` exception that interfered with the JSP's normal operation, making this JSP exception necessary
See Also:
  - `Exception(String, Throwable)`

### JspException

public JspException(Throwable cause)
Constructs a new `JSPException` with the specified cause. The cause is saved for later retrieval by the `java.lang.Throwable.getCause()` and `getRootCause()` methods.

Parameters:
  `cause` - the `Throwable` exception that interfered with the JSP's normal operation, making the JSP exception necessary
See Also:
  - `Exception(Throwable)`

## Method Details

### getRootCause

@Deprecated public Throwable getRootCause()
Deprecated.
As of JSP 2.1, replaced by `java.lang.Throwable.getCause()`
Returns the exception that caused this JSP exception.

Returns:
  the `Throwable` that caused this JSP exception